org.apache.ignite.spi.failover.always

## Interface AlwaysFailoverSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

    @MXBeanDescription(value="MBean that provides access to always failover SPI configuration.")
    public interface AlwaysFailoverSpiMBean
    extends IgniteSpiManagementMBean

Management bean for `AlwaysFailoverSpi`.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMaximumFailoverAttempts()` Gets maximum number of attempts to execute a failed job on another node.
`int` `getTotalFailoverJobsCount()` Get total number of jobs that were failed over.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getMaximumFailoverAttempts

    @MXBeanDescription(value="Maximum number of attempts to execute a failed job on another node.")
    int getMaximumFailoverAttempts()

Gets maximum number of attempts to execute a failed job on another node. If not specified, `AlwaysFailoverSpi.DFLT_MAX_FAILOVER_ATTEMPTS` value will be used.

Returns:
  Maximum number of attempts to execute a failed job on another node.

#### getTotalFailoverJobsCount

    @MXBeanDescription(value="Total number of jobs that were failed over.")
    int getTotalFailoverJobsCount()

Get total number of jobs that were failed over.

Returns:
  Total number of failed over jobs.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018